package discovery

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
)

type Host struct {
	Zone *Zone `json:"zone"`

	ID  json.Number `json:"id,Number,omitempty"`
	IP4 string      `json:"ip4,omitempty"`
	IP6 string      `json:"ip6,omitempty"`
	Mac string      `json:"mac,omitempty"`
	OS  string      `json:"os,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`
}
