package discovery

import (
	"encoding/json"
	"sync"

	"git.loafle.net/overflow/commons-go/core/util"
)

type Zone struct {
	ID      json.Number `json:"id,Number,omitempty"`
	Network string      `json:"network,omitempty"`
	IP4     string      `json:"ip4,omitempty"`
	IP6     string      `json:"ip6,omitempty"`
	Iface   string      `json:"iface,omitempty"`
	Mac     string      `json:"mac,omitempty"`

	DiscoveredDate util.Timestamp `json:"discoveredDate,omitempty"`

	mtx sync.RWMutex `json:"-"`
}
